From 0818df057cca59a949ffa88947a6b16dec2411ca Mon Sep 17 00:00:00 2001
From: Carlo Sala <carlosalag@protonmail.com>
Date: Sat, 9 Apr 2022 14:45:42 +0200
Subject: fix: use `python3` for all `python` invocations (#10832)

---
 plugins/aliases/aliases.plugin.zsh | 4 ++--
 plugins/aliases/cheatsheet.py      | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

(limited to 'plugins/aliases')

diff --git a/plugins/aliases/aliases.plugin.zsh b/plugins/aliases/aliases.plugin.zsh
index b3d9340f0..4e1e0558e 100644
--- a/plugins/aliases/aliases.plugin.zsh
+++ b/plugins/aliases/aliases.plugin.zsh
@@ -3,9 +3,9 @@
 # - acs: alias cheatsheet
 #   group alias by command, pass addition argv to grep.
 function acs(){
-  (( $+commands[python] )) || {
+  (( $+commands[python3] )) || {
     echo "[error] No python executable detected"
     return
   }
-  alias | python ${functions_source[$0]:h}/cheatsheet.py $@
+  alias | python3 ${functions_source[$0]:h}/cheatsheet.py $@
 }
diff --git a/plugins/aliases/cheatsheet.py b/plugins/aliases/cheatsheet.py
index 694afd31c..a7e3968b0 100644
--- a/plugins/aliases/cheatsheet.py
+++ b/plugins/aliases/cheatsheet.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 import sys
 import itertools
 import termcolor
-- 
cgit v1.2.3-70-g09d2